# Note that this is NOT a relocatable package
%define ver      0.1
%define RELEASE  1
%define rel      %{?CUSTOM_RELEASE} %{!?CUSTOM_RELEASE:%RELEASE}
%define prefix   /usr

Summary: VACUM - Video Analysis and Comparison Utilities
Name: vacum
Version: %ver
Release: %rel
Copyright: GPL
Group: Applications/Video
Vendor: VACUM project
Packager: Max Krasnyansky <maxk@qualcomm.com>
Source: http://vacum.sf.net/%{name}-%{ver}.tar.gz
Patch0: %{name}-%{ver}.patch
BuildRoot: /var/tmp/%{name}-%{PACKAGE_VERSION}-root
URL: http://vacum.sf.net
Docdir: %{prefix}/share/doc
Requires: libglade2 >= 2.0.0
BuildRequires: glibc >= 2.2.4

%description
VACUM - Video Analysis and Comparison Utilities
 
VACUM utilities:
        vacpsnr         This tool compares two input files and calculates PSNR
                        values for each frame and average PSNR.
 
        vacplay         This tool can play multiple input files side-by-side.
                        It can compare video frames and generate "visual diff"
                        and display PSNR values. Vacplay supports playback,
                        scrolling, single stepping and other features.

%changelog
* Fri Aug 15 2003 Max Krasnyansky <maxk@qualcomm.com>
- Initial RPM

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --mandir=%{_mandir} --sysconfdir=%{_sysconfdir}
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT prefix=%{prefix} mandir=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)

%{prefix}/bin/vacpsnr
%{prefix}/bin/vacplay
%{prefix}/share/vacum/vacplay.glade

%doc AUTHORS COPYING INSTALL ChangeLog NEWS README
